petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatNullSpaceTest

Tests if the claimed null space is really a null space of a matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNullSpaceTest(MatNullSpace sp,Mat mat,PetscBool  *isNull)

Collective on MatNullSpace

### Input Parameters

| sp | - the null space context
| mat | - the matrix

### Output Parameters

isNull -PETSC_TRUE if the nullspace is valid for this matrix

### Keywords

PC, null space, remove

### See Also

MatNullSpaceCreate(), MatNullSpaceDestroy(), MatNullSpaceSetFunction()

Level:advanced
Location:src/mat/interface/matnull.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex62.c.html